Package uk.ac.starlink.votable.dom

## Class DelegatingAttr

- java.lang.Object
- - uk.ac.starlink.votable.dom.DelegatingNode
  - - uk.ac.starlink.votable.dom.DelegatingAttr

All Implemented Interfaces:
  `org.w3c.dom.Attr`, `org.w3c.dom.Node`

    public class DelegatingAttr
    extends DelegatingNode
    implements org.w3c.dom.Attr

### Field Summary

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Constructor Summary

Constructors
`protected` `DelegatingAttr​(org.w3c.dom.Attr base, DelegatingDocument doc)` Constructor.
`protected` `DelegatingAttr​(org.w3c.dom.Attr base, DelegatingDocument doc, boolean isId)` Constructs a DelegatingAttr with information about whether it is an ID-type attribute or not.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getName()`
`org.w3c.dom.Element` `getOwnerElement()`
`org.w3c.dom.TypeInfo` `getSchemaTypeInfo()`
`boolean` `getSpecified()`
`java.lang.String` `getValue()`
`boolean` `isId()`
`void` `setValue​(java.lang.String value)`

### Methods inherited from class uk.ac.starlink.votable.dom.DelegatingNode

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Constructor Detail

#### DelegatingAttr

    protected DelegatingAttr​(org.w3c.dom.Attr base,
                             DelegatingDocument doc)

Constructor.

Parameters:
  `base` - base node
  `doc` - owner document

#### DelegatingAttr

    protected DelegatingAttr​(org.w3c.dom.Attr base,
                             DelegatingDocument doc,
                             boolean isId)

Constructs a DelegatingAttr with information about whether it is an ID-type attribute or not. This information is only used at DOM Level 3 (J2SE1.5), when it is used as the result of the `isId()` method.

Parameters:
  `base` - base node
  `doc` - owner document
  `isId` - whether it will be an ID type attribute

### Method Detail

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `org.w3c.dom.Attr`

#### getSpecified

    public boolean getSpecified()

Specified by:
  `getSpecified` in interface `org.w3c.dom.Attr`

#### getValue

    public java.lang.String getValue()

Specified by:
  `getValue` in interface `org.w3c.dom.Attr`

#### setValue

    public void setValue​(java.lang.String value)

Specified by:
  `setValue` in interface `org.w3c.dom.Attr`

#### getOwnerElement

    public org.w3c.dom.Element getOwnerElement()

Specified by:
  `getOwnerElement` in interface `org.w3c.dom.Attr`

#### getSchemaTypeInfo

    public org.w3c.dom.TypeInfo getSchemaTypeInfo()

Specified by:
  `getSchemaTypeInfo` in interface `org.w3c.dom.Attr`

#### isId

    public boolean isId()

Specified by:
  `isId` in interface `org.w3c.dom.Attr`